--- old/usr/src/man/man3c/wcswidth.3c	Fri Jul 11 11:43:11 2014
+++ new/usr/src/man/man3c/wcswidth.3c	Fri Jul 11 11:43:11 2014
@@ -1,4 +1,5 @@
 '\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\" Copyright (c) 1992, X/Open Company Limited.  All Rights Reserved.
 .\" Portions Copyright (c) 2002, Sun Microsystems, Inc.  All Rights Reserved
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
@@ -8,9 +9,9 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH WCSWIDTH 3C "Aug 14, 2002"
+.TH WCSWIDTH 3C "Jul 11, 2014"
 .SH NAME
-wcswidth \- number of column positions of a wide-character string
+wcswidth, wcswidth_l \- number of column positions of a wide-character string
 .SH SYNOPSIS
 .LP
 .nf
@@ -18,7 +19,14 @@
 
 \fBint\fR \fBwcswidth\fR(\fBconst wchar_t *\fR\fIpwcs\fR, \fBsize_t\fR \fIn\fR);
 .fi
+.LP
+.nf
+#include <wchar.h>
+#include <xlocale.h>
 
+\fBint\fR \fBwcswidth_l\fR(\fBconst wchar_t *\fR\fIpwcs\fR, \fBsize_t\fR \fIn\fR, \fBlocale_t\fR \fIloc\fR);
+.fi
+
 .SH DESCRIPTION
 .sp
 .LP
@@ -27,7 +35,6 @@
 codes if a null wide-character code is encountered before \fIn\fR
 wide-character codes are exhausted) in the string pointed to by \fIpwcs\fR.
 .SH RETURN VALUES
-.sp
 .LP
 The \fBwcswidth()\fR function either returns \fB0\fR (if \fIpwcs\fR points to a
 null wide-character code), or returns the number of column positions to be
@@ -35,17 +42,16 @@
 \fB\(mi1\fR (if any of the first \fIn\fR wide-character codes in the
 wide-character string pointed to by \fIpwcs\fR is not a printing wide-character
 code).
+.LP
+The function \fBwcwidth_l()\fR behaves identically to \fBwcwidth()\fR, except
+instead of operating in the current environemtn, it operates in the environment
+specified by \fIloc\fR.
 .SH ERRORS
-.sp
 .LP
 No errors are defined.
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
 .TS
 box;
 c | c
@@ -60,6 +66,6 @@
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
-\fBsetlocale\fR(3C), \fBwcwidth\fR(3C), \fBattributes\fR(5), \fBstandards\fR(5)
+\fBnewlocale\fR(3C), \fBsetlocale\fR(3C), \fBuselocale\fR(3C),
+\fBwcwidth\fR(3C), \fBattributes\fR(5), \fBstandards\fR(5)
